<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <a class="navbar-brand" routerLink="/">CRICKET App</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
    <ng-container *ngIf="isLogin">
      <div class="navbar-nav">
        <a class="nav-item nav-link" [routerLinkActive]="['active']" routerLink="/teams">
          Teams <span class="sr-only">(current)</span>
        </a>
      </div>
      <div class="navbar-nav">
        <a class="nav-item nav-link" [routerLinkActive]="['active']" routerLink="/players">
          Players 
        </a>
      </div>
      <div class="navbar-nav">
        <a class="nav-item nav-link" [routerLinkActive]="['active']" routerLink="/fixtures">
          Fixtures 
        </a>
      </div>
      <div class="navbar-nav">
        <a class="nav-item nav-link" [routerLinkActive]="['active']" routerLink="/teams/point-summary">
          Points Summary
        </a>
      </div>
    </ng-container>
  </div>
  <div style="float:right" >
      <button class="nav-item nav-link active" (click)="userLogin();" *ngIf="!isLogin" style="float: right;">Login</button>
      <button class="nav-item nav-link active" (click)="userLogout();" *ngIf="isLogin" style="float: right;">Logout</button>
  </div>
</nav>